# coding=utf-8
import io
import json
from pathlib import Path

INVOICE_CREATE_DATA = json.loads("""
{
    "kind":"vat", 
    "number": null, 
    "sell_date": "2018-01-02", 
    "issue_date": "2018-01-02", 
    "payment_to": "2018-01-09",
    "seller_name": "Seller SA", 
    "seller_tax_no": "5252445767", 
    "buyer_name": "Client1 SA",
    "buyer_tax_no": "5252445767",
    "positions":[
        {"name":"Produkt A1", "tax":23, "total_price_gross":10.23, "quantity":1},
        {"name":"Produkt A2", "tax":0, "total_price_gross":50, "quantity":2}
    ]		
}
""")

INVOICE_CREATED = json.loads("""
{
    "id": 21293421,
    "user_id": 621628,
    "app": null,
    "number": "1/01/2018",
    "place": null,
    "sell_date": "2018-01-02",
    "payment_type": null,
    "price_net": "58.32",
    "price_gross": "60.23",
    "currency": "PLN",
    "status": "issued",
    "description": null,
    "seller_name": "Seller SA",
    "seller_tax_no": "5252445767",
    "seller_street": null,
    "seller_post_code": null,
    "seller_city": null,
    "seller_country": null,
    "seller_email": null,
    "seller_phone": null,
    "seller_fax": null,
    "seller_www": null,
    "seller_person": null,
    "seller_bank": null,
    "seller_bank_account": null,
    "buyer_name": "Client1 SA",
    "buyer_tax_no": "5252445767",
    "buyer_post_code": null,
    "buyer_city": null,
    "buyer_street": null,
    "buyer_first_name": null,
    "buyer_country": null,
    "created_at": "2018-01-03T12:05:09.017+01:00",
    "updated_at": "2018-01-03T12:05:09.117+01:00",
    "token": "chxfYsCys5BEKOmiPMO",
    "buyer_email": null,
    "buyer_www": null,
    "buyer_fax": null,
    "buyer_phone": null,
    "kind": "vat",
    "pattern": "nr-m/mm/yyyy",
    "pattern_nr": null,
    "pattern_nr_m": 1,
    "pattern_nr_d": null,
    "client_id": 9813789,
    "payment_to": "2018-01-09",
    "paid": "0.0",
    "seller_bank_account_id": null,
    "lang": "pl",
    "issue_date": "2018-01-02",
    "price_tax": "1.91",
    "department_id": 294947,
    "correction": null,
    "buyer_note": null,
    "additional_info_desc": null,
    "additional_info": false,
    "product_cache": "Produk, Produk",
    "buyer_last_name": null,
    "from_invoice_id": null,
    "oid": null,
    "discount": "0.0",
    "show_discount": false,
    "sent_time": null,
    "print_time": null,
    "recurring_id": null,
    "tax2_visible": false,
    "warehouse_id": null,
    "paid_date": null,
    "product_id": null,
    "issue_year": 2018,
    "internal_note": null,
    "invoice_id": null,
    "invoice_template_id": 1,
    "description_long": null,
    "buyer_tax_no_kind": null,
    "seller_tax_no_kind": null,
    "description_footer": null,
    "sell_date_kind": null,
    "payment_to_kind": "other_date",
    "exchange_currency": null,
    "discount_kind": "percent_total",
    "income": true,
    "from_api": true,
    "category_id": null,
    "warehouse_document_id": null,
    "exchange_kind": "nbp",
    "exchange_rate": "1.0",
    "use_delivery_address": false,
    "delivery_address": null,
    "accounting_kind": null,
    "buyer_person": "",
    "buyer_bank_account": null,
    "buyer_bank": null,
    "buyer_mass_payment_code": null,
    "exchange_note": "",
    "client_company": true,
    "buyer_company": true,
    "show_attachments": false,
    "exchange_currency_rate": null,
    "has_attachments": false,
    "exchange_date": null,
    "attachments_count": 0,
    "delivery_date": "2018-01-02",
    "fiscal_status": null,
    "use_moss": false,
    "transaction_date": "2018-01-02",
    "email_status": null,
    "exclude_from_stock_level": false,
    "exclude_from_accounting": false,
    "exchange_rate_den": "1.0",
    "exchange_currency_rate_den": "1.0",
    "accounting_scheme": null,
    "exchange_difference": "0.0",
    "not_cost": false,
    "reverse_charge": false,
    "issuer": null,
    "use_issuer": false,
    "cancelled": false,
    "recipient_id": null,
    "recipient_name": null,
    "test": false,
    "discount_net": null,
    "approval_status": null,
    "accounting_vat_tax_date": "2018-01-02",
    "accounting_income_tax_date": "2018-01-02",
    "accounting_other_tax_date": null,
    "accounting_status": null,
    "view_url": "https://dev-your-hr.fakturownia.pl/f/1-01-2018/chxfYsCys5BEKOmiPMO"
}
""")

INVOICE_GET = json.loads("""
{
    "id": 21293421,
    "user_id": 621628,
    "app": null,
    "number": "1/01/2018",
    "place": null,
    "sell_date": "2018-01-02",
    "payment_type": null,
    "price_net": "58.32",
    "price_gross": "60.23",
    "currency": "PLN",
    "status": "issued",
    "description": null,
    "seller_name": "Seller SA",
    "seller_tax_no": "5252445767",
    "seller_street": null,
    "seller_post_code": null,
    "seller_city": null,
    "seller_country": null,
    "seller_email": null,
    "seller_phone": null,
    "seller_fax": null,
    "seller_www": null,
    "seller_person": null,
    "seller_bank": null,
    "seller_bank_account": null,
    "buyer_name": "Client1 SA",
    "buyer_tax_no": "5252445767",
    "buyer_post_code": null,
    "buyer_city": null,
    "buyer_street": null,
    "buyer_first_name": null,
    "buyer_country": null,
    "created_at": "2018-01-03T12:05:09.000+01:00",
    "updated_at": "2018-01-03T12:05:09.000+01:00",
    "token": "chxfYsCys5BEKOmiPMO",
    "buyer_email": null,
    "buyer_www": null,
    "buyer_fax": null,
    "buyer_phone": null,
    "kind": "vat",
    "pattern": "nr-m/mm/yyyy",
    "pattern_nr": null,
    "pattern_nr_m": 1,
    "pattern_nr_d": null,
    "client_id": 9813789,
    "payment_to": "2018-01-09",
    "paid": "0.0",
    "seller_bank_account_id": null,
    "lang": "pl",
    "issue_date": "2018-01-02",
    "price_tax": "1.91",
    "department_id": 294947,
    "correction": null,
    "buyer_note": null,
    "additional_info_desc": null,
    "additional_info": false,
    "product_cache": "Produk, Produk",
    "buyer_last_name": null,
    "from_invoice_id": null,
    "oid": null,
    "discount": "0.0",
    "show_discount": false,
    "sent_time": null,
    "print_time": null,
    "recurring_id": null,
    "tax2_visible": false,
    "warehouse_id": null,
    "paid_date": null,
    "product_id": null,
    "issue_year": 2018,
    "internal_note": null,
    "invoice_id": null,
    "invoice_template_id": 1,
    "description_long": null,
    "buyer_tax_no_kind": null,
    "seller_tax_no_kind": null,
    "description_footer": null,
    "sell_date_kind": null,
    "payment_to_kind": "other_date",
    "exchange_currency": null,
    "discount_kind": "percent_total",
    "income": true,
    "from_api": true,
    "category_id": null,
    "warehouse_document_id": null,
    "exchange_kind": "nbp",
    "exchange_rate": "1.0",
    "use_delivery_address": false,
    "delivery_address": null,
    "accounting_kind": null,
    "buyer_person": "",
    "buyer_bank_account": null,
    "buyer_bank": null,
    "buyer_mass_payment_code": null,
    "exchange_note": "",
    "client_company": true,
    "buyer_company": true,
    "show_attachments": false,
    "exchange_currency_rate": null,
    "has_attachments": false,
    "exchange_date": null,
    "attachments_count": 0,
    "delivery_date": "2018-01-02",
    "fiscal_status": null,
    "use_moss": false,
    "transaction_date": "2018-01-02",
    "email_status": null,
    "exclude_from_stock_level": false,
    "exclude_from_accounting": false,
    "exchange_rate_den": "1.0",
    "exchange_currency_rate_den": "1.0",
    "accounting_scheme": null,
    "exchange_difference": "0.0",
    "not_cost": false,
    "reverse_charge": false,
    "issuer": null,
    "use_issuer": false,
    "cancelled": false,
    "recipient_id": null,
    "recipient_name": null,
    "test": false,
    "discount_net": null,
    "approval_status": null,
    "accounting_vat_tax_date": "2018-01-02",
    "accounting_income_tax_date": "2018-01-02",
    "accounting_other_tax_date": null,
    "accounting_status": null,
    "sales_code": "5545-6110-51834",
    "payment_url": null,
    "adjust_invoice_price": "60.23",
    "check_fiscal_print": true,
    "positions": [{
        "id": 47155304,
        "invoice_id": 21293421,
        "name": "Produkt A1",
        "description": null,
        "price_net": "8.32",
        "quantity": "1.0",
        "total_price_gross": "10.23",
        "total_price_net": "8.32",
        "account_id": 489410,
        "created_at": "2018-01-03T12:05:09.000+01:00",
        "updated_at": "2018-01-03T12:05:09.000+01:00",
        "additional_info": null,
        "quantity_unit": null,
        "tax": "23",
        "price_gross": "10.23",
        "price_tax": "1.91",
        "total_price_tax": "1.91",
        "kind": null,
        "invoice_position_id": null,
        "product_id": 11879740,
        "deleted": false,
        "discount": null,
        "discount_percent": null,
        "tax2": "0",
        "exchange_rate": "1.0",
        "accounting_tax_kind": null,
        "code": null,
        "additional_fields": null
    }, {
        "id": 47155305,
        "invoice_id": 21293421,
        "name": "Produkt A2",
        "description": null,
        "price_net": "25.0",
        "quantity": "2.0",
        "total_price_gross": "50.0",
        "total_price_net": "50.0",
        "account_id": 489410,
        "created_at": "2018-01-03T12:05:09.000+01:00",
        "updated_at": "2018-01-03T12:05:09.000+01:00",
        "additional_info": null,
        "quantity_unit": null,
        "tax": "0",
        "price_gross": "25.0",
        "price_tax": "0.0",
        "total_price_tax": "0.0",
        "kind": null,
        "invoice_position_id": null,
        "product_id": 11879741,
        "deleted": false,
        "discount": null,
        "discount_percent": null,
        "tax2": "0",
        "exchange_rate": "1.0",
        "accounting_tax_kind": null,
        "code": null,
        "additional_fields": null
    }]
}
""")

CLIENT_CREATE_DATA = json.loads("""
{
    "name": "Client1",
    "tax_no": "5252445767",
    "bank" : "bank1",
    "bank_account" : "bank_account1",
    "city" : "city1",
    "country" : "",
    "email" : "client@example.com",
    "person" : "person1",
    "post_code" : "post-code1",
    "phone" : "phone1",
    "street" : "street1",
    "street_no" : "street-no1"
}
""")

CLIENT_GET = json.loads("""
{
    "name": "Taylor and Sons",
    "tax_no": "4591588032",
    "post_code": "27545",
    "city": "Erinview",
    "street": "Lambert Drives",
    "first_name": "Jamie",
    "country": "Turkmenistan",
    "email": "tyler81@example.com",
    "phone": null,
    "www": null,
    "fax": null,
    "created_at": "2018-01-04T15:47:38.000+01:00",
    "updated_at": "2018-01-04T15:47:38.000+01:00",
    "street_no": null,
    "kind": "buyer",
    "bank": null,
    "bank_account": null,
    "bank_account_id": null,
    "shortcut": "Taylor and Sons",
    "note": null,
    "last_name": "Simmons",
    "password_hash": null,
    "referrer": null,
    "password_salt": null,
    "token": "5cJ1R50Ca8zql4hoVB9E",
    "fuid": null,
    "fname": null,
    "femail": null,
    "dynamic_fields": {},
    "deleted": false,
    "department_id": null,
    "import": null,
    "discount": null,
    "payment_to_kind": null,
    "category_id": null,
    "use_delivery_address": false,
    "delivery_address": null,
    "person": null,
    "panel_user_id": null,
    "use_mass_payment": false,
    "mass_payment_code": null,
    "external_id": null,
    "company": true,
    "title": null,
    "mobile_phone": null,
    "register_number": null,
    "tax_no_check": "TURKMENISTAN4591588032",
    "attachments_count": 0,
    "default_payment_type": null,
    "tax_no_kind": null,
    "accounting_id": null,
    "disable_auto_reminders": false,
    "buyer_id": null,
    "balance": "30.99"
}
""")

CLIENT_CREATED = json.load(io.open(str(Path(__file__).parent / 'fixtures' / 'client_created.json')))
